#!/usr/bin/env python
# -*- coding: utf-8 -*-
# generated by wxGlade 0.6.5 on Tue Jun 16 15:50:04 2015

import wx

from vespa.common.wx_gravy.widgets.floatspin_multiplier.floatspin_multiplier_base import FloatSpinMultiplier

import vespa.common.wx_gravy.util

from wx.lib.agw.floatspin import FloatSpin, EVT_FLOATSPIN, FS_LEFT, FS_RIGHT, FS_CENTRE, FS_READONLY

# begin wxGlade: extracode
# end wxGlade


class DatasetUI(wx.Panel):
    def __init__(self, *args, **kwds):
        # begin wxGlade: DatasetUI.__init__
        kwds["style"] = wx.TAB_TRAVERSAL
        wx.Panel.__init__(self, *args, **kwds)
        self.TextData = wx.TextCtrl(self, -1, "", style=wx.TE_READONLY)
        self.SpinX = wx.SpinCtrl(self, -1, "0", min=1, max=1, style=wx.SP_ARROW_KEYS | wx.SP_WRAP | wx.TE_PROCESS_ENTER | wx.TE_AUTO_URL | wx.TE_NOHIDESEL)
        self.SpinY = wx.SpinCtrl(self, -1, "0", min=1, max=1, style=wx.SP_ARROW_KEYS | wx.SP_WRAP | wx.TE_PROCESS_ENTER | wx.TE_AUTO_URL | wx.TE_NOHIDESEL)
        self.label_3 = wx.StaticText(self, -1, " Z:")
        self.SpinZ = wx.SpinCtrl(self, -1, "0", min=1, max=1, style=wx.SP_ARROW_KEYS | wx.SP_WRAP | wx.TE_PROCESS_ENTER | wx.TE_AUTO_URL | wx.TE_NOHIDESEL)
        self.FloatScale = FloatSpinMultiplier(self, -1, agwStyle=FS_LEFT)
        self.LabelNotebookPlaceholder = wx.StaticText(self, -1, "LabelNotebookPlaceholder")

        self.__set_properties()
        self.__do_layout()

        self.Bind(wx.EVT_SPINCTRL, self.on_voxel_change, self.SpinX)
        self.Bind(wx.EVT_SPINCTRL, self.on_voxel_change, self.SpinY)
        self.Bind(wx.EVT_SPINCTRL, self.on_voxel_change, self.SpinZ)
        self.Bind(EVT_FLOATSPIN, self.on_scale, self.FloatScale)
        # end wxGlade

    def __set_properties(self):
        # begin wxGlade: DatasetUI.__set_properties
        self.SpinX.SetMinSize((50,-1))
        self.SpinY.SetMinSize((50,-1))
        self.SpinY.Hide()
        self.label_3.Hide()
        self.SpinZ.SetMinSize((50,-1))
        self.SpinZ.Hide()
        # end wxGlade

    def __do_layout(self):
        # begin wxGlade: DatasetUI.__do_layout
        sizer_2 = wx.BoxSizer(wx.VERTICAL)
        sizer_30 = wx.BoxSizer(wx.HORIZONTAL)
        label_11 = wx.StaticText(self, -1, "Source:")
        sizer_30.Add(label_11, 0, wx.LEFT | wx.ALIGN_RIGHT | wx.ALIGN_CENTER_VERTICAL, 8)
        sizer_30.Add(self.TextData, 3, wx.LEFT | wx.ALIGN_CENTER_VERTICAL, 3)
        sizer_30.Add((30, 20), 0, wx.EXPAND, 0)
        label_1_copy = wx.StaticText(self, -1, "Location - X:")
        sizer_30.Add(label_1_copy, 0, wx.RIGHT | wx.ALIGN_CENTER_VERTICAL, 4)
        sizer_30.Add(self.SpinX, 0, wx.EXPAND | wx.ALIGN_CENTER_VERTICAL, 0)
        label_2 = wx.StaticText(self, -1, " Y:")
        label_2.Hide()
        sizer_30.Add(label_2, 0, wx.LEFT | wx.RIGHT | wx.ALIGN_CENTER_VERTICAL, 4)
        sizer_30.Add(self.SpinY, 0, wx.EXPAND | wx.ALIGN_CENTER_VERTICAL, 0)
        sizer_30.Add(self.label_3, 0, wx.LEFT | wx.RIGHT | wx.ALIGN_CENTER_VERTICAL, 4)
        sizer_30.Add(self.SpinZ, 0, wx.EXPAND | wx.ALIGN_CENTER_VERTICAL, 0)
        label_4 = wx.StaticText(self, -1, " Scale:")
        sizer_30.Add(label_4, 0, wx.LEFT | wx.RIGHT | wx.ALIGN_CENTER_VERTICAL, 4)
        sizer_30.Add(self.FloatScale, 0, wx.EXPAND | wx.ALIGN_CENTER_VERTICAL, 0)
        sizer_2.Add(sizer_30, 0, wx.ALL | wx.EXPAND, 4)
        sizer_2.Add(self.LabelNotebookPlaceholder, 0, 0, 0)
        self.SetSizer(sizer_2)
        sizer_2.Fit(self)
        # end wxGlade

    def on_voxel_change(self, event):  # wxGlade: DatasetUI.<event_handler>
        print "Event handler `on_voxel_change' not implemented!"
        event.Skip()

    def on_scale(self, event):  # wxGlade: DatasetUI.<event_handler>
        print "Event handler `on_scale' not implemented!"
        event.Skip()

# end of class DatasetUI

class MyFrame(wx.Frame):
    def __init__(self, *args, **kwds):
        # begin wxGlade: MyFrame.__init__
        kwds["style"] = wx.DEFAULT_FRAME_STYLE
        wx.Frame.__init__(self, *args, **kwds)
        self.DatasetUI = DatasetUI(self, -1)

        self.__set_properties()
        self.__do_layout()
        # end wxGlade

    def __set_properties(self):
        # begin wxGlade: MyFrame.__set_properties
        self.SetTitle("frame_1")
        # end wxGlade

    def __do_layout(self):
        # begin wxGlade: MyFrame.__do_layout
        sizer_1 = wx.BoxSizer(wx.VERTICAL)
        sizer_1.Add(self.DatasetUI, 1, wx.EXPAND, 0)
        self.SetSizer(sizer_1)
        sizer_1.Fit(self)
        self.Layout()
        # end wxGlade

# end of class MyFrame
if __name__ == "__main__":
    app = wx.PySimpleApp(0)
    wx.InitAllImageHandlers()
    frame_1 = MyFrame(None, -1, "")
    app.SetTopWindow(frame_1)
    frame_1.Show()
    app.MainLoop()
