#!/usr/bin/env python
# -*- coding: utf-8 -*-
# generated by wxGlade 0.6.5 on Fri Jul 17 15:45:41 2015

import wx

import vespa.common.wx_gravy.util
from wx.lib.agw.floatspin import FloatSpin, EVT_FLOATSPIN, FS_LEFT, FS_RIGHT, FS_CENTRE, FS_READONLY

# begin wxGlade: extracode
# end wxGlade


class PanelTabTransform(wx.Panel):
    def __init__(self, *args, **kwds):
        # begin wxGlade: PanelTabTransform.__init__
        kwds["style"] = wx.TAB_TRAVERSAL
        wx.Panel.__init__(self, *args, **kwds)
        self.window_splitter = wx.SplitterWindow(self, -1, style=wx.SP_3D | wx.SP_BORDER)
        self.PanelLeftSide = wx.Panel(self.window_splitter, -1)
        self.PanelTransformKernel = wx.Panel(self.PanelLeftSide, -1)
        self.LabelPlaceholder2 = wx.StaticText(self.PanelTransformKernel, -1, "LabelPlaceholder2")
        self.LabelPlaceholder3 = wx.StaticText(self.PanelTransformKernel, -1, "LabelPlaceholder3")
        self.ButtonRun = wx.Button(self.PanelLeftSide, -1, "Run")
        self.CheckProfile = wx.CheckBox(self.PanelLeftSide, -1, "Freq Profile  ")
        self.CheckAbsolute = wx.CheckBox(self.PanelLeftSide, -1, "Abs Freq Profile  ")
        self.CheckProfileExtended = wx.CheckBox(self.PanelLeftSide, -1, "Ext Profile")
        self.CheckAbsoluteExtended = wx.CheckBox(self.PanelLeftSide, -1, "Ext-Absolute Profile  ")
        self.CheckGradient = wx.CheckBox(self.PanelLeftSide, -1, "Gradient Plot  ")
        self.CheckWaveform = wx.CheckBox(self.PanelLeftSide, -1, "Waveform [re/im]")
        self.CheckWaveformMagn = wx.CheckBox(self.PanelLeftSide, -1, "Waveform [Magn]")
        self.CheckWaveformPhase = wx.CheckBox(self.PanelLeftSide, -1, "Waveform [deg]")
        self.ComboUsageType = wx.ComboBox(self.PanelLeftSide, -1, choices=["Excite", "Inversion", "Spin-Echo Echo Echo", "Saturation"], style=wx.CB_DROPDOWN | wx.CB_SIMPLE | wx.CB_DROPDOWN | wx.CB_READONLY)
        self.PanelGradRefocus = wx.Panel(self.PanelLeftSide, -1)
        self.CheckGradRefocus = wx.CheckBox(self.PanelGradRefocus, -1, "Grad Refoc Profile    Grad Value:")
        self.FloatGradRefocus = FloatSpin(self.PanelGradRefocus, -1, value=0.5, digits=5, agwStyle=FS_LEFT)
        self.sizer_9_staticbox = wx.StaticBox(self.PanelLeftSide, -1, "Pulse Plot Controls")
        self.window_1_pane_results = wx.ScrolledWindow(self.window_splitter, -1, style=wx.TAB_TRAVERSAL)
        self.PanelRhs = wx.Panel(self.window_1_pane_results, -1)

        self.__set_properties()
        self.__do_layout()

        self.Bind(wx.EVT_BUTTON, self.on_run, self.ButtonRun)
        self.Bind(wx.EVT_CHECKBOX, self.on_check, self.CheckProfile)
        self.Bind(wx.EVT_CHECKBOX, self.on_check, self.CheckAbsolute)
        self.Bind(wx.EVT_CHECKBOX, self.on_check, self.CheckProfileExtended)
        self.Bind(wx.EVT_CHECKBOX, self.on_check, self.CheckAbsoluteExtended)
        self.Bind(wx.EVT_CHECKBOX, self.on_check, self.CheckGradient)
        self.Bind(wx.EVT_CHECKBOX, self.on_check, self.CheckWaveform)
        self.Bind(wx.EVT_CHECKBOX, self.on_check, self.CheckWaveformMagn)
        self.Bind(wx.EVT_CHECKBOX, self.on_check, self.CheckWaveformPhase)
        self.Bind(wx.EVT_COMBOBOX, self.on_usage, self.ComboUsageType)
        self.Bind(wx.EVT_CHECKBOX, self.on_check_grad_refocus, self.CheckGradRefocus)
        self.Bind(EVT_FLOATSPIN, self.on_float_grad_refocus, self.FloatGradRefocus)
        # end wxGlade

    def __set_properties(self):
        # begin wxGlade: PanelTabTransform.__set_properties
        self.ComboUsageType.SetSelection(1)
        self.PanelGradRefocus.Hide()
        self.window_1_pane_results.SetScrollRate(10, 10)
        # end wxGlade

    def __do_layout(self):
        # begin wxGlade: PanelTabTransform.__do_layout
        sizer_7 = wx.BoxSizer(wx.HORIZONTAL)
        sizer_1 = wx.BoxSizer(wx.HORIZONTAL)
        sizer_5 = wx.BoxSizer(wx.VERTICAL)
        self.sizer_9_staticbox.Lower()
        sizer_9 = wx.StaticBoxSizer(self.sizer_9_staticbox, wx.VERTICAL)
        sizer_6 = wx.BoxSizer(wx.HORIZONTAL)
        grid_sizer_2 = wx.FlexGridSizer(5, 2, 0, 0)
        sizer_8 = wx.BoxSizer(wx.HORIZONTAL)
        SizerTransformKernel = wx.BoxSizer(wx.VERTICAL)
        GridUserParameters = wx.FlexGridSizer(1, 3, 4, 4)
        sizer_3 = wx.BoxSizer(wx.VERTICAL)
        sizer_3.Add(self.LabelPlaceholder2, 0, wx.EXPAND, 0)
        SizerTransformKernel.Add(sizer_3, 0, wx.EXPAND, 0)
        GridUserParameters.Add(self.LabelPlaceholder3, 0, 0, 0)
        GridUserParameters.AddGrowableCol(1)
        SizerTransformKernel.Add(GridUserParameters, 1, wx.BOTTOM | wx.EXPAND | wx.ALIGN_RIGHT, 4)
        self.PanelTransformKernel.SetSizer(SizerTransformKernel)
        sizer_5.Add(self.PanelTransformKernel, 1, wx.ALL | wx.EXPAND, 4)
        sizer_8.Add(self.ButtonRun, 0, wx.ALIGN_CENTER_HORIZONTAL | wx.ALIGN_CENTER_VERTICAL, 0)
        sizer_5.Add(sizer_8, 0, wx.TOP | wx.ALIGN_CENTER_HORIZONTAL | wx.ALIGN_CENTER_VERTICAL, 4)
        grid_sizer_2.Add(self.CheckProfile, 0, wx.ALL | wx.ALIGN_CENTER_VERTICAL, 4)
        grid_sizer_2.Add(self.CheckAbsolute, 0, wx.ALL | wx.ALIGN_CENTER_VERTICAL, 4)
        grid_sizer_2.Add(self.CheckProfileExtended, 0, wx.ALL | wx.ALIGN_CENTER_VERTICAL, 4)
        grid_sizer_2.Add(self.CheckAbsoluteExtended, 0, wx.ALL | wx.ALIGN_CENTER_VERTICAL, 4)
        grid_sizer_2.Add(self.CheckGradient, 0, wx.ALL | wx.ALIGN_CENTER_VERTICAL, 4)
        grid_sizer_2.Add(self.CheckWaveform, 0, wx.ALL | wx.ALIGN_CENTER_VERTICAL, 4)
        grid_sizer_2.Add(self.CheckWaveformMagn, 0, wx.ALL | wx.ALIGN_CENTER_VERTICAL, 4)
        grid_sizer_2.Add(self.CheckWaveformPhase, 0, wx.ALL | wx.ALIGN_CENTER_VERTICAL, 4)
        label_2 = wx.StaticText(self.PanelLeftSide, -1, "Usage Type: ", style=wx.ALIGN_RIGHT)
        grid_sizer_2.Add(label_2, 0, wx.ALL | wx.ALIGN_RIGHT | wx.ALIGN_CENTER_VERTICAL, 4)
        grid_sizer_2.Add(self.ComboUsageType, 0, wx.ALL | wx.ALIGN_CENTER_VERTICAL, 2)
        sizer_9.Add(grid_sizer_2, 0, wx.EXPAND, 0)
        sizer_6.Add(self.CheckGradRefocus, 0, wx.ALL | wx.ALIGN_CENTER_VERTICAL, 4)
        sizer_6.Add(self.FloatGradRefocus, 0, wx.EXPAND, 0)
        self.PanelGradRefocus.SetSizer(sizer_6)
        sizer_9.Add(self.PanelGradRefocus, 0, wx.EXPAND, 0)
        sizer_5.Add(sizer_9, 0, wx.ALL | wx.EXPAND, 6)
        self.PanelLeftSide.SetSizer(sizer_5)
        sizer_1.Add(self.PanelRhs, 1, wx.EXPAND, 0)
        self.window_1_pane_results.SetSizer(sizer_1)
        self.window_splitter.SplitVertically(self.PanelLeftSide, self.window_1_pane_results)
        sizer_7.Add(self.window_splitter, 1, wx.EXPAND, 0)
        self.SetSizer(sizer_7)
        sizer_7.Fit(self)
        # end wxGlade

    def on_run(self, event):  # wxGlade: PanelTabTransform.<event_handler>
        print "Event handler `on_run' not implemented!"
        event.Skip()

    def on_check(self, event):  # wxGlade: PanelTabTransform.<event_handler>
        print "Event handler `on_check' not implemented!"
        event.Skip()

    def on_usage(self, event):  # wxGlade: PanelTabTransform.<event_handler>
        print "Event handler `on_usage' not implemented!"
        event.Skip()

    def on_check_grad_refocus(self, event):  # wxGlade: PanelTabTransform.<event_handler>
        print "Event handler `on_check_grad_refocus' not implemented!"
        event.Skip()

    def on_float_grad_refocus(self, event):  # wxGlade: PanelTabTransform.<event_handler>
        print "Event handler `on_float_grad_refocus' not implemented!"
        event.Skip()

# end of class PanelTabTransform

class MyFrame(wx.Frame):
    def __init__(self, *args, **kwds):
        # begin wxGlade: MyFrame.__init__
        kwds["style"] = wx.DEFAULT_FRAME_STYLE
        wx.Frame.__init__(self, *args, **kwds)
        self.PanelTabTransform = PanelTabTransform(self, -1)

        self.__set_properties()
        self.__do_layout()
        # end wxGlade

    def __set_properties(self):
        # begin wxGlade: MyFrame.__set_properties
        self.SetTitle("frame_1")
        # end wxGlade

    def __do_layout(self):
        # begin wxGlade: MyFrame.__do_layout
        sizer_4 = wx.BoxSizer(wx.VERTICAL)
        sizer_4.Add(self.PanelTabTransform, 1, wx.EXPAND, 0)
        self.SetSizer(sizer_4)
        sizer_4.Fit(self)
        self.Layout()
        # end wxGlade

# end of class MyFrame
if __name__ == "__main__":
    app = wx.PySimpleApp(0)
    wx.InitAllImageHandlers()
    frame_1 = MyFrame(None, -1, "")
    app.SetTopWindow(frame_1)
    frame_1.Show()
    app.MainLoop()
